Capture

The Charge API with operationType: "capture" is used to capture funds previously reserved by an authorization. The captured amount can be equal to or less than the authorized amount.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Model

The request is a POST request with the following parameters:

Input ParameterTypeLengthDescription
orderObject (Order Model)-Order details, where the amount represents the specific capture amount.
paymentGatewayObject (PaymentGateway Model)-Payment gateway configuration.
{
    "order": {
        "id": "202210101255255144669",
        "reference": "11111991",
        "description": "Purchase order received for Logitech K380 Keyboard",
        "currency": "KWD",
        "amount": 20
    },
    "paymentGateway": {
        "src": "cc"
    }
}

Response Model

Input ParameterTypeMax LengthDescription
statusBoolean100true if the capture request was successfully processed.
messageString100A descriptive message regarding the operation.
data.payMit.resultString100The result status from the payment gateway (e.g., "SUCCESS").
data.payMit.order.statusString20The new status of the order (e.g., "CAPTURED").
data.transactionData.redirect_urlString (URL)Full URL containing all transaction details for logging/notification purposes.
{
    "status": true,
    "message": "Data received successfully",
    "data": {
        "payMit": {
            "result": "SUCCESS",
            "order": {
                "status": "CAPTURED"
            }
        },
        "transactionData": {
            "redirect_url": "https://upayments.com/en/?payment_id=&result=CAPTURED&post_date=&tran_id=016153570198200&ref=019a302bcd9e55ce7c3208e055ee9005&track_id=019a302add7303c3eeaa45a85772eab6&auth=iWGzjmc7noq9dPYNRqP0&order_id=019a302bcd9c14455bdbccb285bbba96&requested_order_id=202210101255255144669&refund_order_id=019a302bcd9c14455bdbccb285bbba96&payment_type=card&invoice_id=19124080&transaction_date=2025-10-30 08:10:09&receipt_id=019a302bcd9c14455bdbccb285bbba96"
        }
    }
}
{
    "status": false,
    "message": "Total authorized amount already captured",
    "data": []
}
Path Params
string
required
Responses
200

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json